Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXPolyDataMapper2D Class Reference

`#include <vtkXPolyDataMapper2D.h>`

Inheritance diagram for vtkXPolyDataMapper2D:

[legend]
Collaboration diagram for vtkXPolyDataMapper2D:

[legend]
List of all members.

## Detailed Description

2D PolyData support for windows

Date:
  2002/08/22 18:39:32

Revision:
  1.19

vtkXPolyDataMapper2D provides 2D PolyData annotation support for vtk under windows. Normally the user should use vtkPolyDataMapper2D which in turn will use this class.

See also:
  vtkPolyDataMapper2D

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (71%)
  - Schroeder, Will (16%)
  - Law, Charles (7%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkXPolyDataMapper2D.h)`
  - .`cxx` (`/Rendering/vtkXPolyDataMapper2D.cxx)`

Definition at line 48 of file vtkXPolyDataMapper2D.h.

## Public Types
typedef vtkPolyDataMapper2D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | RenderOverlay (vtkViewport *viewport, vtkActor2D *actor)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXPolyDataMapper2D * | SafeDownCast (vtkObject *o)
vtkXPolyDataMapper2D * | New ()
## Protected Methods
| vtkXPolyDataMapper2D ()
| ~vtkXPolyDataMapper2D ()

## Member Typedef Documentation

typedef vtkPolyDataMapper2D vtkXPolyDataMapper2D::Superclass

| Reimplemented from vtkPolyDataMapper2D. Definition at line 51 of file vtkXPolyDataMapper2D.h.

## Constructor & Destructor Documentation

vtkXPolyDataMapper2D::vtkXPolyDataMapper2D | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkXPolyDataMapper2D.h.

vtkXPolyDataMapper2D::~vtkXPolyDataMapper2D | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkXPolyDataMapper2D.h.

## Member Function Documentation

virtual const char* vtkXPolyDataMapper2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataMapper2D.

int vtkXPolyDataMapper2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataMapper2D.

virtual int vtkXPolyDataMapper2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataMapper2D.

vtkXPolyDataMapper2D* vtkXPolyDataMapper2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataMapper2D.

vtkXPolyDataMapper2D* vtkXPolyDataMapper2D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkPolyDataMapper2D.

void vtkXPolyDataMapper2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataMapper2D.

void vtkXPolyDataMapper2D::RenderOverlay | ( | vtkViewport * | viewport,
|  | vtkActor2D * | actor
| ) | `[virtual]`

| Actually draw the poly data. Reimplemented from vtkMapper2D.

The documentation for this class was generated from the following file:

- Rendering/vtkXPolyDataMapper2D.h